/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/

package jalview.datamodel;

import jalview.jbgui.*;
import java.awt.*;

import java.util.Vector;

public interface SequenceI {
  public void        setName(String name);
  public String      getName();

  public void        setStart(int start);
  public int         getStart();

  public String      getDisplayId();

  public void        setEnd(int end);
  public int         getEnd();

  public int         getLength();

  public void        setSequence(String sequence);
  public String      getSequence();
  public String      getSequence(int start,int end);
  public char        getCharAt(int i);

  public void        setDescription(String desc);
  public String      getDescription();

  public int         findIndex(int pos);
  public int         findPosition(int i);
  public int[]         gapMap();
  public void       deleteChars(int i, int j);
  public void       deleteCharAt(int i);
  public void       insertCharAt(int i, char c);
  public void       insertCharAt(int i,char c,boolean chop);

  public void        setColor(Color c);
  public Color       getColor();

  public Vector     getSequenceFeatures();
  public void       setSequenceFeatures(Vector v);

  public void setPDBId(String id);
  public String getPDBId();

  }











